%if 0%{?el7}
%define dist .el7
%endif

%define gitver .git4750579c

%{!?_unitdir: %global _unitdir /lib/systemd/system}
%{!?_tmpfilesdir:%global _tmpfilesdir %{_prefix}/lib/tmpfiles.d}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Name:           motion
Version:        3.2.13
Release:        1%{?gitver}%{?dist}
Summary:        A program that monitors the video signal from cameras.

Group:          Applications/Internet
License:        GPLv2
# Original URL
#URL:            http://www.lavrsen.dk/foswiki/bin/view/Motion/WebHome
### svn co http://www.lavrsen.dk/svn/motion/trunk/ motion-3.2.13
### tar acvf motion-3.2.13.tar.xz motion-3.2.13 --exclude=.svn

URL:            https://github.com/Mr-Dave/motion
# git clone https://github.com/Mr-Dave/motion.git motion-3.2.13
# tar acvf motion-3.2.13%{?gitver}.tar.xz motion-3.2.13 --exclude=.git
# cd motion-3.2.13 ; git log -1 --pretty=format:".git%h"
Source0:        %{name}-%{version}%{?gitver}.tar.xz

Source1:        %{name}.service
Source2:        %{name}-tmpfiles.conf

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake libtool
BuildRequires:  libv4l-devel libjpeg-turbo-devel
BuildRequires:  SDL-devel ffmpeg-devel sqlite-devel
BuildRequires:  postgresql-devel
%if 0%{?fedora} >= 21 || 0%{?rhel} >= 7
BuildRequires:  mariadb-devel
%else
BuildRequires:  mysql-devel
%endif

%description
Motion is a program that monitors the video signal from cameras. It is able to detect if a significant part of the picture has changed; in other words, it can detect motion.

%prep
%setup -q

cat << EOF > version.sh
#!/bin/sh
echo -n "%{version}"
EOF

autoreconf -ivf

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove doc and example
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%if 0%{?fedora} >= 21 || 0%{?rhel} >= 7
install -d -m755 $RPM_BUILD_ROOT%{_unitdir}
install -d -m755 $RPM_BUILD_ROOT%{_tmpfilesdir}

sed -i 's,@libdir@,%{_libdir},g' %{SOURCE1}
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/%{name}.service
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_tmpfilesdir}/%{name}.conf
%else
install -d -m755 %{_initrddir}
install -D -m755 motion.init-Fedora %{_initrddir}/motion
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc CHANGELOG CODE_STANDARD CREDITS FAQ INSTALL README* motion_guide.html
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/thread*.conf
%{_sysconfdir}/%{name}/%{name}-dist.conf
%{_mandir}/man1/%{name}.1*
%if 0%{?fedora} >= 21 || 0%{?rhel} >= 7
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%else
%{_initrddir}/motion
%endif


%changelog
